'use strict';

const threads = require('threads');
const utils = require('./utils.js');

/**
 * @module generate
 */
threads.expose(async function generate(path, content, options = {}) {
  const typings = utils.generateTypings(content, options.banner, options.eol);
  if (typings) {
    return utils.writeFile(path, typings);
  } else {
    return utils.removeFile(path);
  }
});
